﻿Public Class Form1

#Region "**Events"
    'C1TdbGrid Binding
    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim table As New DataTable

        With table.Columns
            .Add(New DataColumn("A", GetType(Boolean)))
            .Add(New DataColumn("B", GetType(String)))
            .Add(New DataColumn("C", GetType(String)))
            .Add(New DataColumn("D", GetType(String)))
        End With

        C1TrueDBGrid1.SetDataBinding(table, "", True)

        C1TrueDBGrid1.Row = 0
        C1TrueDBGrid1.Col = 0

        C1TrueDBGrid1.Focus()
    End Sub

    'Event to handle the navigation on C1TdbGrid based on Checkbox Cell Value 
    'i.e. to Conditionally Enable/Disable Cell Focus on the basis of Checkbox Cell Value

    Private Sub C1TrueDBGrid1_BeforeRowColChange(ByVal sender As Object, ByVal e As C1.Win.C1TrueDBGrid.CancelEventArgs) Handles C1TrueDBGrid1.BeforeRowColChange
        ' Fetches current row index
        Dim curRow As Integer = C1TrueDBGrid1.Row
        ' Fetches destination row index
        Dim desRow As Integer = C1TrueDBGrid1.DestinationRow
        ' Fetches current column index
        Dim curCol As Integer = C1TrueDBGrid1.Col
        ' Fetches destination column index
        Dim desCol As Integer = C1TrueDBGrid1.DestinationCol

        ' Checks before moving into Column(2) if the value in Column(0) is true/false
        If desCol = 2 Then
            If C1TrueDBGrid1.Columns(0).CellValue(desRow).ToString() = "False" Then
                e.Cancel = True
                If curRow = desRow Then
                    If curCol < desCol Then
                        C1TrueDBGrid1.Col = desCol + 1
                    Else
                        C1TrueDBGrid1.Col = desCol - 1
                    End If
                Else
                    If curRow < desRow Then
                        C1TrueDBGrid1.Row = desRow + 1
                    Else
                        C1TrueDBGrid1.Row = desRow - 1
                    End If
                End If
            End If
        End If
    End Sub

    Private Sub cmdExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdExit.Click
        Application.Exit()
    End Sub

#End Region
End Class
